Package Details: glc-player 2.3.0-5

Git Clone URL: https://aur.archlinux.org/glc-player.git (read-only)
Package Base: glc-player
Description: Open source 3D model viewer
Upstream URL: http://www.glc-player.net/
Licenses: GPL2
Submitter: net147
Maintainer: net147
Last Packager: net147
Votes: 18
Popularity: 0.172515
First Submitted: 2010-09-02 10:27
Last Updated: 2015-09-02 01:58

Latest Comments

haawda commented on 2015-09-01 18:17

The download-Url did not work for me, I use
http://prdownloads.sourceforge.net/glc-player/GLC_Player_src_2.3.0.zip

net147 commented on 2014-04-25 05:13

I have fixed the libpng and include errors. Try again. Note that you need to build new glc-lib.

net147 commented on 2014-04-25 05:10

I have fixed the libpng and include errors. Try again.

Alexlok commented on 2014-03-30 21:46

It failed to compile (#includes failed) because it looked for files in /usr/include/GLC_lib , whereas the directory was /usr/include/GLC_lib-2.5 . It was also looking at /usr/local/include/GLC_lib-2.5 , which doesn't exist on my system.

Perhaps you should edit the PKGBUILD, or, as you're also the maintainer of glc-lib, add a symlink; I'm not sure about what is the cleanest fix.

So, it builds correctly, however I'm still getting an error at startup:

libpng warning: iCCP: bad parameters to zlib
libpng error: bad parameters to zlib"GLC_Texture::GLC_Texture open image : :images/default_background.png Failed"

so perhaps I didn't fix it the right way. But since it's the same error as genebobmiller, it might come from something else.

Alexlok commented on 2014-03-30 21:44

It failed to compile (#includes failed) because it looked for files in /usr/include/GLC_lib , whereas the directory was /usr/include/GLC_lib-2.5 . It was also looking at /usr/local/include/GLC_lib-2.5 , which doesn't exist on my system.

Perhaps you should edit the PKGBUILD, or, as you're also the maintainer of glc-lib, add a symlink; I'm not sure about what is the cleanest fix.

So, it builds correctly now, however I'm still getting an error at startup ("GLC_Texture::GLC_Texture open image : :images/default_background.png Failed"), so perhaps I didn't fix it the right way.

Alexlok commented on 2014-03-30 21:10

It failed to compile (#includes failed) because it looked for files in /usr/include/GLC_lib , whereas the directory was /usr/include/GLC_lib-2.5 . It was also looking at /usr/local/include/GLC_lib-2.5 , which doesn't exist on my system.

Perhaps you should edit the PKGBUILD, or, as you're also the maintainer of glc-lib, add a symlink; I'm not sure about what is the cleanest fix.

genebobmiller commented on 2013-10-02 07:16

I'm getting these errors:
libpng error: bad parameters to zlib
libpng warning: iCCP: bad parameters to zlib
libpng error: bad parameters to zlib

net147 commented on 2013-03-18 02:11

Fixed.

craig commented on 2013-03-17 22:40

Change qmake to qmake-qt4

foolishgrunt commented on 2012-01-12 20:09

Compiles great for me! Thanks for doing this package.

All comments